Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
PortDispatcher.idl
1/* SPDX-License-Identifier: BSD-3-Clause */
2/*
3 * Copyright 2011 Raritan Inc. All rights reserved.
4 */
5
6#include <SerialPort.idl>
7
8/** Serial Ports */
9module serial {
10
11 /**
12 * Top-level interface of the serial port manager
13 */
14 interface PortDispatcher {
15 /**
16 * @brief Get serial ports
17 *
18 * Returns a map of serial ports that are both
19 * - available on the device
20 * - monitored by the system
21 *
22 * The mapping is 'symbolic port name' -> 'port instance'.
23 *
24 * @return -- A map with available port instances
25 */
26 map<string, SerialPort> getPorts();
27 };
28}
serial::PortDispatcher
Top-level interface of the serial port manager.
Definition PortDispatcher.idl:14
serial::PortDispatcher::getPorts
map< string, SerialPort > getPorts()
Get serial ports.
serial
Serial Ports.
Definition AnalogModem.idl:12